Docker build: No descarga los paquetes desde los repositorios

A veces cuando estás intentando hacer un build de una imágen te aparece el error de que no puede descargar los ficheros desde el repositorio. Esto ocurre tanto con AlpineLinux que con Debian.

En este articulo doy por descontado que estás en una raspberryPi con RaspianOS 10 Buster, aunque esots pasos valen para cualquer debian y con pocas modificaciones para ubuntu tambien.

Vamos a ver como resolver el problema:

Este primer punto no estoy seguro que sea necesario, pero ha sido uno de los primeros paso que he hecho, aunque no haya servido de nada. De momento salta este paso.

Actualizar DNS (no estoy seguro sea necesario- Saltar este paso de momento)

mcedit /etc/default/docker

(y activa la linea de DOCKER_OPTS)


DOCKER_OPTS="--dns 1.1.1.1  --dns 8.8.8.8 --dns 8.8.4.4"

Activar los backports (esta si que resuelve el problema)

mcedit /etc/apt/sources.list

…y añadir

deb http://deb.debian.org/debian buster-backports main

luego:

apt update && apt upgrade -y

y ahora actualizamos a la última versión libseccomp2 (que es lo que provoca este error)

apt install -t buster-backports libseccomp2

Una vez instalado vuelve a intentar el build de la imagen de docker

y por fin consigue bajar los paquetes! 🙂

Comments are closed.